package cd.casic.ci.common.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;

import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline
 * @Project：ops-pro
 * @name：IModelTemplate
 * @Date：2025/03/25 17:39
 * @Filename：IModelTemplate
 * @description：Todo
 */
@Schema(title = "model中报错模板信息的扩展参数")
public interface IModelTemplate {

    @Schema(title = "模板", required = true)
    String getTemplate();

    @Schema(title = "引用", required = true)
    String getRef();

    @Schema(title = "变量", required = true)
    Map<String, String> getVariables();

    void setTemplate(String template);

    void setRef(String ref);

    void setVariables(Map<String, String> variables);

    /**
     * 判读是否来自于模板
     *
     * @return true 是来自于模板|false 不是来自于模板
     */
    default boolean fromTemplate() {
        String template = getTemplate();
        return template != null && !template.isEmpty();
    }
}
