package cd.casic.pipeline.environment.pojo;

import cd.casic.pipeline.environment.pojo.enums.SharedEnvType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
@Schema(title = "VM虚拟机配额")
public class SharedProjectInfo {
    @Schema(title = "蓝盾项目Id", required = true)
    private String projectId;

    @Schema(title = "工蜂项目ID", required = true)
    private String gitProjectId;

    @Schema(title = "项目名称，工蜂项目则为groupName/projectName", required = true)
    private String name;

    @Schema(title = "类型，预留", required = true)
    private SharedEnvType type;

    @Schema(title = "导入服务器配额", required = true)
    private String creator;

    @Schema(title = "允许使用DevCloud虚拟机功能", required = true)
    private Long createTime;

    @Schema(title = "DevCloud虚拟机配额", required = true)
    private Long updateTime;

} 