package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.pojo.BuildParameters;
import cd.casic.ci.common.pipeline.pojo.BuildEnv;
import cd.casic.ci.project.dal.pojo.PipelineAsCodeSettings;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process
 * @Project：ops-pro
 * @name：BuildVariables
 * @Date：2025/03/24 15:34
 * @Filename：BuildVariables
 * @description：Todo
 */
@Data
@Schema(title = "流水线模型-构建参数变量")
public class BuildVariables {
    @Schema(title = "构建ID", required = true)
    private String buildId;
    @Schema(title = "构建环境ID", required = true)
    private String vmSeqId;
    @Schema(title = "构建机名称", required = true)
    private String vmName;
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "pipeline id", required = true)
    private String pipelineId;
    @Schema(title = "参数集合（已完成上下文转换）", required = true)
    private Map<String, String> variables;
    @Schema(title = "系统环境变量", required = false)
    private List<BuildEnv> buildEnvs;
    @Schema(title = "container的编排ID（同seq）", required = false)
    private String containerId;
    @Schema(title = "container的全局ID", required = false)
    private String containerHashId;
    @Schema(title = "container用户自定义ID", required = false)
    private String jobId;
    @Schema(title = "参数类型集合（用于打印时区分敏感信息，建议不要作为传参使用）", required = false)
    private List<BuildParameters> variablesWithType;
    @Schema(title = "Job超时时间（毫秒）", required = true)
    private long timeoutMills;
    @Schema(title = "容器类型", required = false)
    private String containerType;
    @Schema(title = "YAML流水线特殊配置", required = false)
    private PipelineAsCodeSettings pipelineAsCodeSettings;
    @Schema(title = "构建日志归档阈值(单位:万)")
    private Integer loggingLineLimit;
}
