package cd.casic.ci.process.api.process.pojo.pipeline;

import cd.casic.ci.common.pipeline.enums.RepoYamlSyncStatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname PipelineYamlSyncInfo
 * @Description TODO
 * @Date 2025/3/31 17:44
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "pac同步文件信息")
public class PipelineYamlSyncInfo {
    @Schema(title = "文件路径", required = true)
    private String filePath;

    @Schema(title = "文件url", required = true)
    private String fileUrl = null;

    @Schema(title = "同步状态", required = true)
    private RepoYamlSyncStatusEnum syncStatus = RepoYamlSyncStatusEnum.SYNC;

    @Schema(title = "原因", required = false)
    private String reason = null;

    @Schema(title = "原因详情", required = false)
    private String reasonDetail = null;
}
