package cd.casic.ci.process.process.service.pipeline;

import cd.casic.ci.common.pipeline.req.pipeline.PipelineCreateReq;
import cd.casic.ci.common.pipeline.req.pipeline.PipelineQueryReq;
import cd.casic.ci.common.pipeline.req.pipeline.PipelineUpdateReq;
import cd.casic.ci.common.pipeline.resp.pipeline.PipelineFindResp;
import cd.casic.ci.process.process.dataObject.pipeline.PipPipeline;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.validation.Valid;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipelineService
 * @Date: 2025/5/13 10:27
 * @Description:
 */
public interface PipelineService extends IService<PipPipeline> {
    String createPipeline(@Valid PipelineCreateReq pipelineReq);

    List<PipelineFindResp> findPipelineList(@Valid PipelineQueryReq pipelineQueryReq);

    void deletePipeline(String pipelineId);

    void updatePipeline(@Valid PipelineUpdateReq pipeline);

    Page<PipelineFindResp> findPipelinePage(@Valid PipelineQueryReq query);

    void pipelineClone(String pipelineId, String pipelineName);
}
