package cd.casic.pipeline.store.api.atom;

import cd.casic.framework.commons.pojo.CommonResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@Tag(name = "OP_ATOM_REPLACE", description = "插件-运营替换")
@RestController
@RequestMapping("/op/market/atom/replace")
public interface OpAtomReplaceResource {

    @Operation(summary = "替换插件")
    @PostMapping("/{atomCode}")
    CommonResult<Boolean> replaceAtom(
            @Parameter(description = "插件代码", required = true)
            @PathVariable("atomCode")
            String atomCode
    );
}