package cd.casic.pipeline.store.api.image;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.image.request.ImageInitRequest;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "OP_MARKET_IMAGE", description = "OP-镜像")
@RestController
@RequestMapping("/op/market/image")
public interface OpImageInitResource {

    @Operation(summary = "预置镜像初始化")
    @PostMapping("/init")
    CommonResult<Boolean> imageInit(
            @Parameter(description = "第三方镜像市场初始化参数", required = false)
            ImageInitRequest imageInitRequest
    );
}