package cd.casic.pipeline.store.pojo.atom;

import cd.casic.pipeline.store.pojo.atom.enums.AtomCategoryEnum;
import cd.casic.pipeline.store.pojo.atom.enums.AtomTypeEnum;
import cd.casic.pipeline.store.pojo.atom.enums.JobTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.ArrayList;

@Data
@Schema(title = "流水线-插件信息请求报文体")
public class AtomCreateRequest {
    @Schema(title = "插件名称", required = true)
    private String name;
    @Schema(title = "插件代码", required = true)
    private String atomCode;
    @Schema(title = "服务范围", required = true)
    private ArrayList<String> serviceScope;
    @Schema(title = "适用Job类型，AGENT： 编译环境，AGENT_LESS：无编译环境", required = true)
    private JobTypeEnum jobType;
    @Schema(title = "支持的操作系统", required = true)
    private ArrayList<String> os;
    @Schema(title = "所属分类ID", required = true)
    private String classifyId;
    @Schema(title = "插件说明文档链接", required = false)
    private String docsLink;
    @Schema(title = "插件类型，SELF_DEVELOPED：自研 THIRD_PARTY：第三方开发", required = true)
    private AtomTypeEnum atomType;
    @Schema(title = "是否为默认插件（默认插件默认所有项目可见）true：默认插件 false：普通插件", required = true)
    private Boolean defaultFlag;
    @Schema(title = "插件所属范畴，TRIGGER：触发器类插件 TASK：任务类插件", required = true)
    private AtomCategoryEnum category;
    @Schema(title = "无构建环境插件是否可以在有构建环境运行标识， TRUE：可以 FALSE：不可以", required = false)
    private Boolean buildLessRunFlag;
    @Schema(title = "权重（数值越大代表权重越高）")
    private Integer weight;
    @Schema(title = "自定义扩展容器前端表单属性字段的Json串", required = false)
    private String props;
    @Schema(title = "预留字段（设置规则等信息的json串）", required = false)
    private String data;
}