package cd.casic.pipeline.store.pojo.common.publication;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

@Schema(title = "组件包环境信息")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StorePkgEnvInfo {

    @Schema(title = "包名", required = false)
    @JsonProperty("pkgName")
    private String pkgName = "";

    @Schema(title = "安装包位于本地的路径", required = false)
    @JsonProperty("pkgLocalPath")
    private String pkgLocalPath = "";

    @Schema(title = "安装包位于仓库的路径", required = true)
    @JsonProperty("pkgRepoPath")
    private String pkgRepoPath;

    @Schema(title = "开发语言", required = false)
    @JsonProperty("language")
    private String language;

    @Schema(title = "支持开发语言的最低版本", required = false)
    @JsonProperty("minVersion")
    private String minVersion;

    @Schema(title = "执行入口", required = false)
    @JsonProperty("target")
    private String target = "";

    @Schema(title = "SHA签名串", required = false)
    @JsonProperty("shaContent")
    private String shaContent;

    @Schema(title = "执行前置命令", required = false)
    @JsonProperty("preCmd")
    private String preCmd;

    @Schema(title = "支持的操作系统名称", required = false)
    @JsonProperty("osName")
    private String osName;

    @Schema(title = "支持的操作系统架构", required = false)
    @JsonProperty("osArch")
    private String osArch;

    @Schema(title = "运行时版本", required = false)
    @JsonProperty("runtimeVersion")
    private String runtimeVersion;
    @Schema(title = "是否为默认环境信息", required = false)
    @JsonProperty("defaultFlag")
    private Boolean defaultFlag;

    @Schema(title = "环境扩展信息", required = false)
    @JsonProperty("extEnvInfo")
    private Map<String, Object> extEnvInfo;
}
